import { Credentials } from './config';
import { CLI } from '../cli';
import { SSHService } from '../session/ssh';
export declare class CUtils {
    static connect: (cli: CLI) => Promise<{
        ssh: SSHService;
        credentials: Credentials;
    }>;
    static connectWithHostname: (hostname: string, cli: CLI) => Promise<{
        ssh: SSHService;
        credentials: Credentials;
    }>;
    private static connectionFailedError;
}
