/// <reference types="node" />
export declare class Stream {
    output: NodeJS.WriteStream;
    tab: string;
    constructor(output: NodeJS.WriteStream);
    loading(text: string): void;
    update(text: string): void;
    stop(): void;
    stopAndClear(): void;
    success(text?: string | undefined): void;
    done(): void;
    ok(text: string): void;
    error(text?: string | undefined): void;
    print(text: string): void;
    log(tag: String, text: string): void;
}
