"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var skill_1 = require("./skill");
var yaml = require('js-yaml');
var fs = require('fs-extra');
var Snipsfile = (function () {
    function Snipsfile() {
    }
    Snipsfile.prototype.parse = function (path) {
        var snipsfilePath = 'Snipsfile';
        if (path) {
            snipsfilePath = path;
        }
        var doc = yaml.safeLoad(fs.readFileSync(snipsfilePath, 'utf8'));
        this.assistantUrl = doc.assistant_url;
        this.assistantId = doc.assistant_id;
        this.assistantFile = doc.assistant_file;
        if (doc.skills) {
            this.skills = doc.skills.map(function (skill) { return new skill_1.Skill(skill); });
        }
        else {
            this.skills = [];
        }
    };
    Snipsfile.parse = function (path) {
        var snipsfile = new Snipsfile();
        snipsfile.parse(path);
        return snipsfile;
    };
    return Snipsfile;
}());
exports.Snipsfile = Snipsfile;
